Skip to main content

Request a copy of an app installation

POST/v2/app-installations/{appInstallationId}/actions/copy
API version
v2
Request method
POST
Operation ID
app-request-appinstallation-copy

Request​

  • appInstallationIdstring (uuid)required

Responses​

Format
application/json
Description

The AppInstallation copy has been requested.

  • idstring (uuid)required
Content-Type: application/json

{
"id": "f0f86186-0a5a-45b2-aa33-502777496347"
}
{
"properties": {
"id": {
"format": "uuid",
"type": "string"
}
},
"required": [
"id"
],
"type": "object"
}

Usage examples​

$ curl \
--fail \
--location \
-X POST \
-d '{"description":"string","domain":"string","installationPath":"string","targetProjectId":"f0f86186-0a5a-45b2-aa33-502777496347"}' \
-H "Authorization: Bearer $MITTWALD_API_TOKEN" \
-H 'Content-Type: application/json' \
https://api.mittwald.de/v2/app-installations/f0f86186-0a5a-45b2-aa33-502777496347/actions/copy
import { MittwaldAPIV2Client } from "@mittwald/api-client";
import { assertStatus } from "@mittwald/api-client-commons";

const client = MittwaldAPIClient.newWithToken(process.env.MITTWALD_API_TOKEN);
const response = await client.app.requestAppinstallationCopy({
"appInstallationId": "f0f86186-0a5a-45b2-aa33-502777496347",
"data": {
"description": "string",
"domain": "string",
"installationPath": "string",
"targetProjectId": "f0f86186-0a5a-45b2-aa33-502777496347"
}
});

assertStatus(response, 201);

use \Mittwald\ApiClient\Generated\V2\Clients\App\RequestAppinstallationCopy\RequestAppinstallationCopyRequest;
use \Mittwald\ApiClient\Generated\V2\Clients\App\RequestAppinstallationCopy\RequestAppinstallationCopyRequestBody;

$client = MittwaldAPIClient::newWithToken(getenv('MITTWALD_API_TOKEN'));

// TODO: Please consult the properties and constructor signature of
// RequestAppinstallationCopyRequestBody to learn how to construct a valid instance
$body = new RequestAppinstallationCopyRequestBody(/* TODO: ... */);

$request = (new RequestAppinstallationCopyRequest(
appInstallationId: "f0f86186-0a5a-45b2-aa33-502777496347",
body: $body
));
$response = $client->app()->requestAppinstallationCopy($request);

var_dump($response->getBody();

On this page